All pages
Powered by GitBook
1 of 8

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Create case

Case

This object contains the following attributes:

Field
Type
Description

id

string, core

A unique identifier for the case.

Process case

Update case

List cases

Get case

Complete case

chat

object

The object for the case.

revision

unit, core

The revision number used for platform-level versioning.

parameters

object

Represents the parameter object, which contains a set of parameter values.

Example:

status

enum, core

Represents the case status. Allowed values are:

  • Processing

  • Querying

  • Completed

awaiting

boolean

Allows an Operations user to mark the case as awaiting. This value is not visible to client or vendor account users.

queryPrompt

string

If a case is moved to querying, the participant, usually the operator, can provide an additional message to explain what is needed from the other side.

queue

object, core

The that the case is currently in. This is not read-only, as the queue can change (the case can be transferred).

Example:

assignee

object, core

Represents the actor responsible for managing the case. Usually, a user from the account that owns the queue. Any assigned actor is automatically added as a participant in the related case chat.

Example:

account

object, core

Represents the from which the reporter opened the case. When a case is created by an operations account user on behalf of a client or vendor, this is the account chosen by the operator in the wizard.

Example:

reporter

object, core

Represents the actor who is reporting the case. If not provided when the case is created, the reporter defaults to the identity from the request claim. When an operator creates a case on behalf of a client or vendor, that operator becomes the reporter. Any actor designated as the reporter is automatically added as a participant in the related case chat.

Example:

audit

object

Represents the object.

chat
queue
account
audit
[
 {
   "id": "PAR-1344-4634",
   "name": "Priority",
   "scope": "Case",
   "phase": "request",
   "constraints":{
     "visibleToReporter": true,
   },
   "externalId": "ext-id-1234",
   "value": "Priority 1"
 }
]
{
  "id": "HQU-1234-1234",
  "name": "Business Onboarding",
  "workflow": "HWF-1234-4568"
}
{
  "id": "USR-6375-2499",
  "email": "jane@doe.com",
  "firstName": "Jane",
  "lastName": "Doe"
}
{
  "id": "ACC-6685-9632",
  "name": "Stark Industries"
}
{
  "id": "USR-6375-2499",
  "name": "Jane Doe"
}

Query case

Sets a support case to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Processing status.

post

The support case ID is provided in the route.

Path parameters
idstringRequired

The support case ID.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the chat.

typestring · enumOptionalPossible values:
idstringOptional
revisioninteger · int32Optional
mutedbooleanOptional

Flag indicates whether participant should be notified of new messages in the chat.

statusstring · enumOptionalPossible values:
idstringOptional
revisioninteger · int32Optional
contentstringOptional

Content of the chat message.

visibilitystring · enumOptionalPossible values:
isDeletedbooleanOptional

Set to true when the message should be considered deleted

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: report.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestring · nullableOptional
blockedReasonstring · nullableOptional
emailstringOptional
statusstringOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
revisioninteger · int32Optional
chatbooleanOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
invitationAcceptedAtstring · date-time · nullableOptional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
emailstringOptional
statusstringOptional
prefixstring · nullableOptional
numberstring · nullableOptional
firstNamestringOptional
lastNamestringOptional
lastLoginAtstring · date-time · nullableOptional
cultureCodestringOptional
dateFormatstring · nullableOptional
languageCodestringOptional
decimalSeparatorstringOptional
groupSeparatorstringOptional
timeFormatstring · nullableOptional
timeZonestring · nullableOptional
objectTypesstring[]Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestring · nullableOptional
blockedReasonstring · nullableOptional
emailstringOptional
statusstringOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
revisioninteger · int32Optional
chatbooleanOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
invitationAcceptedAtstring · date-time · nullableOptional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
emailstringOptional
statusstringOptional
prefixstring · nullableOptional
numberstring · nullableOptional
firstNamestringOptional
lastNamestringOptional
lastLoginAtstring · date-time · nullableOptional
cultureCodestringOptional
dateFormatstring · nullableOptional
languageCodestringOptional
decimalSeparatorstringOptional
groupSeparatorstringOptional
timeFormatstring · nullableOptional
timeZonestring · nullableOptional
objectTypesstring[]Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
longDescriptionstringOptional

Gets or sets the long description associated with the queue.

shortDescriptionstringOptional

Gets or sets the short description associated with the queue.

externalIdstring · nullableOptional

Gets or sets the optional external identifier associated with the queue.

statusstring · enumOptionalPossible values:
defaultbooleanOptional

Indicates whether this queue is the default queue.

internalbooleanOptional

Indicates whether this queue is internal.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
totalCasesinteger · int32Optional
openCasesinteger · int32Optional
isDeletedbooleanOptional

Indicates whether the queue has been marked as deleted.

statusstring · enumOptionalPossible values:
queryPromptstring · nullableOptional

The prompt that is set along with setting the Mpt.Helpdesk.Models.Cases.SupportCase.Status to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying

idstringOptional

Gets or sets the unique identifier for the parameter.

namestringOptional

Gets or sets the name of the parameter.

externalIdstring · nullableOptional

Gets or sets the external identifier for the parameter, if applicable.

typestring · enumOptionalPossible values:
multiplebooleanOptional

Indicates whether this parameter accepts multiple values. When true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array.

hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
visibilitystring · enumOptional

Defines who can see the parameter in the helpdesk system.

Possible values:
displayOrderinteger · int32Optional

Gets or sets the formatted display order of the parameter for UI presentation.

propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
displayValuestring · nullableOptional

Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.

idstringOptional

Gets or sets the unique identifier for the parameter.

namestringOptional

Gets or sets the name of the parameter.

externalIdstring · nullableOptional

Gets or sets the external identifier for the parameter, if applicable.

typestring · enumOptionalPossible values:
multiplebooleanOptional

Indicates whether this parameter accepts multiple values. When true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array.

hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
visibilitystring · enumOptional

Defines who can see the parameter in the helpdesk system.

Possible values:
displayOrderinteger · int32Optional

Gets or sets the formatted display order of the parameter for UI presentation.

propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
displayValuestring · nullableOptional

Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/helpdesk/cases/{id}/process
POST /public/v1/helpdesk/cases/{id}/process HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "processed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queried": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "transferred": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "chat": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "description": "text",
    "type": "Direct",
    "participants": [
      {
        "id": "text",
        "revision": 1,
        "muted": true,
        "status": "Active"
      }
    ],
    "lastMessage": {
      "id": "text",
      "revision": 1,
      "content": "text",
      "visibility": "Public",
      "isDeleted": true
    },
    "attachments": [
      {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "file": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Icon",
          "filename": "report.pdf",
          "size": 102400,
          "contentType": "application/pdf"
        }
      }
    ]
  },
  "reporter": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "blocked": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "revision": 1,
    "name": "text",
    "blockedReason": "text",
    "email": "text",
    "status": "text",
    "identity": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "directories": [
      {
        "id": "text",
        "revision": 1
      }
    ],
    "chat": true,
    "optOuts": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      }
    ],
    "user": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "email": "text",
      "status": "text",
      "phone": {
        "prefix": "text",
        "number": "text"
      },
      "firstName": "text",
      "lastName": "text",
      "lastLoginAt": "2026-01-01T00:00:00.000Z",
      "settings": {
        "cultureCode": "text",
        "dateFormat": "text",
        "languageCode": "text",
        "numberFormat": {
          "decimalSeparator": "text",
          "groupSeparator": "text"
        },
        "timeFormat": "text",
        "timeZone": "text",
        "optOuts": {
          "objectTypes": [
            "text"
          ]
        }
      },
      "accounts": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      ],
      "currentAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  },
  "assignee": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "blocked": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "revision": 1,
    "name": "text",
    "blockedReason": "text",
    "email": "text",
    "status": "text",
    "identity": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "directories": [
      {
        "id": "text",
        "revision": 1
      }
    ],
    "chat": true,
    "optOuts": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      }
    ],
    "user": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "email": "text",
      "status": "text",
      "phone": {
        "prefix": "text",
        "number": "text"
      },
      "firstName": "text",
      "lastName": "text",
      "lastLoginAt": "2026-01-01T00:00:00.000Z",
      "settings": {
        "cultureCode": "text",
        "dateFormat": "text",
        "languageCode": "text",
        "numberFormat": {
          "decimalSeparator": "text",
          "groupSeparator": "text"
        },
        "timeFormat": "text",
        "timeZone": "text",
        "optOuts": {
          "objectTypes": [
            "text"
          ]
        }
      },
      "accounts": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      ],
      "currentAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  },
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "queue": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "disabled": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "longDescription": "text",
    "shortDescription": "text",
    "externalId": "text",
    "status": "Disabled",
    "default": true,
    "internal": true,
    "account": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active",
      "externalIds": {
        "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "externalId": "text",
      "externalName": "text",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "technicalSupportEmail": "text",
      "website": "text",
      "description": "text",
      "groups": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "logo": "text",
          "isDefault": true
        }
      ],
      "eligibility": {
        "client": true,
        "partner": true
      },
      "defaultLanguageCode": "text"
    },
    "statistics": {
      "totalCases": 1,
      "openCases": 1
    },
    "isDeleted": true
  },
  "status": "Processing",
  "queryPrompt": "text",
  "parameters": [
    {
      "id": "text",
      "name": "text",
      "externalId": "text",
      "type": "SingleLineText",
      "multiple": true,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "displayOrder": 1,
      "value": {
        "options": {
          "propertyNameCaseInsensitive": true
        },
        "parent": "[Circular Reference]",
        "root": "[Circular Reference]"
      },
      "displayValue": "text"
    }
  ],
  "sensitiveParameters": [
    {
      "id": "text",
      "name": "text",
      "externalId": "text",
      "type": "SingleLineText",
      "multiple": true,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "displayOrder": 1,
      "value": {
        "options": {
          "propertyNameCaseInsensitive": true
        },
        "parent": "[Circular Reference]",
        "root": "[Circular Reference]"
      },
      "displayValue": "text"
    }
  ]
}

Update an existing support case

put

The support case ID is provided in the route.

Path parameters
idstringRequired

The ID of the support case to update.

Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the chat.

typestring · enumOptionalPossible values:
idstringOptional
revisioninteger · int32Optional
mutedbooleanOptional

Flag indicates whether participant should be notified of new messages in the chat.

statusstring · enumOptionalPossible values:
idstringOptional
revisioninteger · int32Optional
contentstringOptional

Content of the chat message.

visibilitystring · enumOptionalPossible values:
isDeletedbooleanOptional

Set to true when the message should be considered deleted

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: report.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestring · nullableOptional
blockedReasonstring · nullableOptional
emailstringOptional
statusstringOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
revisioninteger · int32Optional
chatbooleanOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
invitationAcceptedAtstring · date-time · nullableOptional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
emailstringOptional
statusstringOptional
prefixstring · nullableOptional
numberstring · nullableOptional
firstNamestringOptional
lastNamestringOptional
lastLoginAtstring · date-time · nullableOptional
cultureCodestringOptional
dateFormatstring · nullableOptional
languageCodestringOptional
decimalSeparatorstringOptional
groupSeparatorstringOptional
timeFormatstring · nullableOptional
timeZonestring · nullableOptional
objectTypesstring[]Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestring · nullableOptional
blockedReasonstring · nullableOptional
emailstringOptional
statusstringOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
revisioninteger · int32Optional
chatbooleanOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
invitationAcceptedAtstring · date-time · nullableOptional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
emailstringOptional
statusstringOptional
prefixstring · nullableOptional
numberstring · nullableOptional
firstNamestringOptional
lastNamestringOptional
lastLoginAtstring · date-time · nullableOptional
cultureCodestringOptional
dateFormatstring · nullableOptional
languageCodestringOptional
decimalSeparatorstringOptional
groupSeparatorstringOptional
timeFormatstring · nullableOptional
timeZonestring · nullableOptional
objectTypesstring[]Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
longDescriptionstringOptional

Gets or sets the long description associated with the queue.

shortDescriptionstringOptional

Gets or sets the short description associated with the queue.

externalIdstring · nullableOptional

Gets or sets the optional external identifier associated with the queue.

statusstring · enumOptionalPossible values:
defaultbooleanOptional

Indicates whether this queue is the default queue.

internalbooleanOptional

Indicates whether this queue is internal.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
totalCasesinteger · int32Optional
openCasesinteger · int32Optional
isDeletedbooleanOptional

Indicates whether the queue has been marked as deleted.

statusstring · enumOptionalPossible values:
queryPromptstring · nullableOptional

The prompt that is set along with setting the Mpt.Helpdesk.Models.Cases.SupportCase.Status to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying

idstringOptional

Gets or sets the unique identifier for the parameter.

namestringOptional

Gets or sets the name of the parameter.

externalIdstring · nullableOptional

Gets or sets the external identifier for the parameter, if applicable.

typestring · enumOptionalPossible values:
multiplebooleanOptional

Indicates whether this parameter accepts multiple values. When true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array.

hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
visibilitystring · enumOptional

Defines who can see the parameter in the helpdesk system.

Possible values:
displayOrderinteger · int32Optional

Gets or sets the formatted display order of the parameter for UI presentation.

propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
displayValuestring · nullableOptional

Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.

idstringOptional

Gets or sets the unique identifier for the parameter.

namestringOptional

Gets or sets the name of the parameter.

externalIdstring · nullableOptional

Gets or sets the external identifier for the parameter, if applicable.

typestring · enumOptionalPossible values:
multiplebooleanOptional

Indicates whether this parameter accepts multiple values. When true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array.

hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
visibilitystring · enumOptional

Defines who can see the parameter in the helpdesk system.

Possible values:
displayOrderinteger · int32Optional

Gets or sets the formatted display order of the parameter for UI presentation.

propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
displayValuestring · nullableOptional

Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the chat.

typestring · enumOptionalPossible values:
idstringOptional
revisioninteger · int32Optional
mutedbooleanOptional

Flag indicates whether participant should be notified of new messages in the chat.

statusstring · enumOptionalPossible values:
idstringOptional
revisioninteger · int32Optional
contentstringOptional

Content of the chat message.

visibilitystring · enumOptionalPossible values:
isDeletedbooleanOptional

Set to true when the message should be considered deleted

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: report.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestring · nullableOptional
blockedReasonstring · nullableOptional
emailstringOptional
statusstringOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
revisioninteger · int32Optional
chatbooleanOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
invitationAcceptedAtstring · date-time · nullableOptional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
emailstringOptional
statusstringOptional
prefixstring · nullableOptional
numberstring · nullableOptional
firstNamestringOptional
lastNamestringOptional
lastLoginAtstring · date-time · nullableOptional
cultureCodestringOptional
dateFormatstring · nullableOptional
languageCodestringOptional
decimalSeparatorstringOptional
groupSeparatorstringOptional
timeFormatstring · nullableOptional
timeZonestring · nullableOptional
objectTypesstring[]Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestring · nullableOptional
blockedReasonstring · nullableOptional
emailstringOptional
statusstringOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
revisioninteger · int32Optional
chatbooleanOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
invitationAcceptedAtstring · date-time · nullableOptional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
emailstringOptional
statusstringOptional
prefixstring · nullableOptional
numberstring · nullableOptional
firstNamestringOptional
lastNamestringOptional
lastLoginAtstring · date-time · nullableOptional
cultureCodestringOptional
dateFormatstring · nullableOptional
languageCodestringOptional
decimalSeparatorstringOptional
groupSeparatorstringOptional
timeFormatstring · nullableOptional
timeZonestring · nullableOptional
objectTypesstring[]Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
longDescriptionstringOptional

Gets or sets the long description associated with the queue.

shortDescriptionstringOptional

Gets or sets the short description associated with the queue.

externalIdstring · nullableOptional

Gets or sets the optional external identifier associated with the queue.

statusstring · enumOptionalPossible values:
defaultbooleanOptional

Indicates whether this queue is the default queue.

internalbooleanOptional

Indicates whether this queue is internal.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
totalCasesinteger · int32Optional
openCasesinteger · int32Optional
isDeletedbooleanOptional

Indicates whether the queue has been marked as deleted.

statusstring · enumOptionalPossible values:
queryPromptstring · nullableOptional

The prompt that is set along with setting the Mpt.Helpdesk.Models.Cases.SupportCase.Status to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying

idstringOptional

Gets or sets the unique identifier for the parameter.

namestringOptional

Gets or sets the name of the parameter.

externalIdstring · nullableOptional

Gets or sets the external identifier for the parameter, if applicable.

typestring · enumOptionalPossible values:
multiplebooleanOptional

Indicates whether this parameter accepts multiple values. When true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array.

hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
visibilitystring · enumOptional

Defines who can see the parameter in the helpdesk system.

Possible values:
displayOrderinteger · int32Optional

Gets or sets the formatted display order of the parameter for UI presentation.

propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
displayValuestring · nullableOptional

Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.

idstringOptional

Gets or sets the unique identifier for the parameter.

namestringOptional

Gets or sets the name of the parameter.

externalIdstring · nullableOptional

Gets or sets the external identifier for the parameter, if applicable.

typestring · enumOptionalPossible values:
multiplebooleanOptional

Indicates whether this parameter accepts multiple values. When true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array.

hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
visibilitystring · enumOptional

Defines who can see the parameter in the helpdesk system.

Possible values:
displayOrderinteger · int32Optional

Gets or sets the formatted display order of the parameter for UI presentation.

propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall of · nullableRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
rootall ofRead-onlyOptional
⤷Circular reference to all of
displayValuestring · nullableOptional

Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

put/public/v1/helpdesk/cases/{id}
PUT /public/v1/helpdesk/cases/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 8877

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "processed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queried": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "transferred": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "chat": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "description": "text",
    "type": "Direct",
    "participants": [
      {
        "id": "text",
        "revision": 1,
        "muted": true,
        "status": "Active"
      }
    ],
    "lastMessage": {
      "id": "text",
      "revision": 1,
      "content": "text",
      "visibility": "Public",
      "isDeleted": true
    },
    "attachments": [
      {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "file": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Icon",
          "filename": "report.pdf",
          "size": 102400,
          "contentType": "application/pdf"
        }
      }
    ]
  },
  "reporter": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "blocked": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "revision": 1,
    "name": "text",
    "blockedReason": "text",
    "email": "text",
    "status": "text",
    "identity": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "directories": [
      {
        "id": "text",
        "revision": 1
      }
    ],
    "chat": true,
    "optOuts": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      }
    ],
    "user": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "email": "text",
      "status": "text",
      "phone": {
        "prefix": "text",
        "number": "text"
      },
      "firstName": "text",
      "lastName": "text",
      "lastLoginAt": "2026-01-01T00:00:00.000Z",
      "settings": {
        "cultureCode": "text",
        "dateFormat": "text",
        "languageCode": "text",
        "numberFormat": {
          "decimalSeparator": "text",
          "groupSeparator": "text"
        },
        "timeFormat": "text",
        "timeZone": "text",
        "optOuts": {
          "objectTypes": [
            "text"
          ]
        }
      },
      "accounts": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      ],
      "currentAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  },
  "assignee": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "blocked": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "revision": 1,
    "name": "text",
    "blockedReason": "text",
    "email": "text",
    "status": "text",
    "identity": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "directories": [
      {
        "id": "text",
        "revision": 1
      }
    ],
    "chat": true,
    "optOuts": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      }
    ],
    "user": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "email": "text",
      "status": "text",
      "phone": {
        "prefix": "text",
        "number": "text"
      },
      "firstName": "text",
      "lastName": "text",
      "lastLoginAt": "2026-01-01T00:00:00.000Z",
      "settings": {
        "cultureCode": "text",
        "dateFormat": "text",
        "languageCode": "text",
        "numberFormat": {
          "decimalSeparator": "text",
          "groupSeparator": "text"
        },
        "timeFormat": "text",
        "timeZone": "text",
        "optOuts": {
          "objectTypes": [
            "text"
          ]
        }
      },
      "accounts": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      ],
      "currentAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  },
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "queue": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "disabled": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "longDescription": "text",
    "shortDescription": "text",
    "externalId": "text",
    "status": "Disabled",
    "default": true,
    "internal": true,
    "account": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active",
      "externalIds": {
        "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "externalId": "text",
      "externalName": "text",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "technicalSupportEmail": "text",
      "website": "text",
      "description": "text",
      "groups": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "logo": "text",
          "isDefault": true
        }
      ],
      "eligibility": {
        "client": true,
        "partner": true
      },
      "defaultLanguageCode": "text"
    },
    "statistics": {
      "totalCases": 1,
      "openCases": 1
    },
    "isDeleted": true
  },
  "status": "Processing",
  "queryPrompt": "text",
  "parameters": [
    {
      "id": "text",
      "name": "text",
      "externalId": "text",
      "type": "SingleLineText",
      "multiple": true,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "displayOrder": 1,
      "value": {},
      "displayValue": "text"
    }
  ],
  "sensitiveParameters": [
    {
      "id": "text",
      "name": "text",
      "externalId": "text",
      "type": "SingleLineText",
      "multiple": true,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "displayOrder": 1,
      "value": {},
      "displayValue": "text"
    }
  ]
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "processed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queried": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "transferred": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "chat": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "description": "text",
    "type": "Direct",
    "participants": [
      {
        "id": "text",
        "revision": 1,
        "muted": true,
        "status": "Active"
      }
    ],
    "lastMessage": {
      "id": "text",
      "revision": 1,
      "content": "text",
      "visibility": "Public",
      "isDeleted": true
    },
    "attachments": [
      {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "file": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Icon",
          "filename": "report.pdf",
          "size": 102400,
          "contentType": "application/pdf"
        }
      }
    ]
  },
  "reporter": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "blocked": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "revision": 1,
    "name": "text",
    "blockedReason": "text",
    "email": "text",
    "status": "text",
    "identity": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "directories": [
      {
        "id": "text",
        "revision": 1
      }
    ],
    "chat": true,
    "optOuts": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      }
    ],
    "user": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "email": "text",
      "status": "text",
      "phone": {
        "prefix": "text",
        "number": "text"
      },
      "firstName": "text",
      "lastName": "text",
      "lastLoginAt": "2026-01-01T00:00:00.000Z",
      "settings": {
        "cultureCode": "text",
        "dateFormat": "text",
        "languageCode": "text",
        "numberFormat": {
          "decimalSeparator": "text",
          "groupSeparator": "text"
        },
        "timeFormat": "text",
        "timeZone": "text",
        "optOuts": {
          "objectTypes": [
            "text"
          ]
        }
      },
      "accounts": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      ],
      "currentAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  },
  "assignee": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "blocked": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "revision": 1,
    "name": "text",
    "blockedReason": "text",
    "email": "text",
    "status": "text",
    "identity": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "directories": [
      {
        "id": "text",
        "revision": 1
      }
    ],
    "chat": true,
    "optOuts": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      }
    ],
    "user": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "email": "text",
      "status": "text",
      "phone": {
        "prefix": "text",
        "number": "text"
      },
      "firstName": "text",
      "lastName": "text",
      "lastLoginAt": "2026-01-01T00:00:00.000Z",
      "settings": {
        "cultureCode": "text",
        "dateFormat": "text",
        "languageCode": "text",
        "numberFormat": {
          "decimalSeparator": "text",
          "groupSeparator": "text"
        },
        "timeFormat": "text",
        "timeZone": "text",
        "optOuts": {
          "objectTypes": [
            "text"
          ]
        }
      },
      "accounts": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      ],
      "currentAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  },
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "queue": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "disabled": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "longDescription": "text",
    "shortDescription": "text",
    "externalId": "text",
    "status": "Disabled",
    "default": true,
    "internal": true,
    "account": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active",
      "externalIds": {
        "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "externalId": "text",
      "externalName": "text",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "technicalSupportEmail": "text",
      "website": "text",
      "description": "text",
      "groups": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "logo": "text",
          "isDefault": true
        }
      ],
      "eligibility": {
        "client": true,
        "partner": true
      },
      "defaultLanguageCode": "text"
    },
    "statistics": {
      "totalCases": 1,
      "openCases": 1
    },
    "isDeleted": true
  },
  "status": "Processing",
  "queryPrompt": "text",
  "parameters": [
    {
      "id": "text",
      "name": "text",
      "externalId": "text",
      "type": "SingleLineText",
      "multiple": true,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "displayOrder": 1,
      "value": {
        "options": {
          "propertyNameCaseInsensitive": true
        },
        "parent": "[Circular Reference]",
        "root": "[Circular Reference]"
      },
      "displayValue": "text"
    }
  ],
  "sensitiveParameters": [
    {
      "id": "text",
      "name": "text",
      "externalId": "text",
      "type": "SingleLineText",
      "multiple": true,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "displayOrder": 1,
      "value": {
        "options": {
          "propertyNameCaseInsensitive": true
        },
        "parent": "[Circular Reference]",
        "root": "[Circular Reference]"
      },
      "displayValue": "text"
    }
  ]
}
get
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
[...]
